@charset "utf-8";

*,
::before,
::after {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

ul,
ol {
    list-style: none;
}

a {
    color: inherit;
    text-decoration: none;
}

body {
    font-family: sans-serif;
    font-size: 16px;
    color: #000000;
    line-height: 1;
    background-color: #ffffff;
}

img {
    max-width: 100%;
}

.header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 1000;
    background-color: #fff;
    box-shadow: 0 2px 8px rgba(0,0,0,0.08); 
}


.header-inner {
    max-width: 1900px;
    height: 80px;
    margin-left: auto;
    padding-left: 40px ;
    padding-right: 40px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.toggle-menu-button {
    display: none;
}

.header-logo {
    display: block;
    width: 250px;
}

.site-menu ul {
    display: flex;
}

.site-menu ul li {
    margin-left: 17px;
    margin-right: 17px;
}

.site-menu ul li a {
    font-family: "Montserrat", sans-serif;
}

/*header slider*/
.slideColor {
    display: inline-block;
    color: transparent;
    background-image: linear-gradient(90deg, #1558d6, #1558d6 50%, black 50%, black);
    background-position: 100% 0;
    -webkit-background-clip: text;
    background-clip: text;
    background-size: 200% 100%;
    transition: background-position 0.4s cubic-bezier(0.25, 1, 0.5, 1); /* easeOutQuartのイージング */
}
.slideColor:hover {
    background-position: 0 0;
}

/*header underline*/
.underline li {
    display: inline-block;
    padding-bottom: 4px;
    position: relative;
}

body {
    padding-top: 80px; 
}

.underline li::after {
    background-color: #1558d6;
    bottom: 0;
    content: '';
    display: block;
    height: 2px;
    left: 0;
    position: absolute;
    transition: 0.2s all;
    width: 0;
}

.underline li:hover::after {
    width: 100%;
}

/*underline*/
a {
    text-decoration: none;
}

.underline dd {
    display: inline-block;
    padding-bottom: 4px;
    position: relative;
}

.underline dd::after {
    background-color: #1558d6;
    bottom: 0;
    content: '';
    display: block;
    height: 2px;
    left: 0;
    position: absolute;
    transition: .5s all;
    width: 0;
}

.underline dd:hover::after {
    width: 100%;
}

.footer {
    color: #000000;
    background-color: #e9e9e5;
    padding-top: 30px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.footer-logo {
    display: block;
    width: 350px;
    margin-top: 40px;
}

.footer-address {
    margin-top: 20px;
}

.footer-tel {
    font-size: 15px;
    font-weight: bold;
    margin-top: 5px;
}

.footer-time {
    font-size: 13px;
    margin-top: 16px;
}

.copyright {
    font-size: 14px;
    width: 100%;
    height: 100px;
    color: #fff;
    background-color: #333333;
    margin-top: 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.copyright p {
    margin-top: 20px;
}

@media (max-width: 800px) {

    .site-menu ul {
        display: block;
        text-align: center;
    }

    .site-menu li {
        margin-top: 20px;
    }

    .header {
        position: fixed;
        top: 0;
        left: 0;
        right: 0;
        background-color: #ffffff;
        height: 50px;
        z-index: 10;
        box-shadow: 0 2px 6px rgba(0,0,0,0.1);
    }

    .header-inner {
        padding-left: 20px;
        padding-right: 20px;
        height: 100%;
        position: relative;
    }

    .header-logo{
        width: 270px;
        padding-top: 5px;
    }

    .header-site-menu {
        position: absolute;
        top: 100%;
        left: 0;
        right: 0;
        color: #ffffff;
        background-color: #e9e9e5;
        padding-top: 30px;
        padding-bottom: 50px;
        display: none;
    }

    .header-site-menu.is-show {
        display: block;
    }

    .toggle-menu-button {
        display: block;
        width: 44px;
        height: 34px;
        background-image: url(../images/common/icon-menu.png);
        background-size: 50%;
        background-position: center;
        background-repeat: no-repeat;
        background-color: transparent;
        border: none;
        border-radius: 0;
        outline: none;
    }

    body {
    padding-top: 50px; 
    }

    .footer-logo {
        margin-top: 60px;
    }

    .footer-address {
        margin-top: 10px;
    }

    .footer-tel {
        font-size: 15px;
    }

    .copyright {
        margin-top: 50px;
    }
}
